Subject: Re: RtgDir review: draft-ietf-rtgwg-enterprise-pa-multihoming-07

From: Chris Bowers <[email-masked]>
Date: Fri, 17 May 2019 17:02:13 -0500

Nic,

Thanks for the review.  We have uploaded a new revision (-08) addressing
your comments as well as comments from Martin Vigoureux.

Below is a summary of the changes.

====
We addressed your comment about the title by adding "IPv6" to the title.
====
We addressed your comment about convergence after failures by adding the
following text.

   Multihoming with PA
   addresses and NAT has created the expectation of a fairly quick and
   simple recovery from network failures.  Alternatives should to be
   evaluated in terms of the speed and complexity of the recovery
   mechanism.

====
In response to feedback from Martin, we modified the last paragraph of the
introduction
to bring it up to date with the current text, and to make it clearer that
although section 3 uses
the concepts of source-prefix-scoped routing advertisements and forwarding
tables without stopping
to provide a precise description of how source-prefix-scoped routing
advertisements are used to
generate source-prefix-scoped forwarding tables, the reader can find the
more detailed description in
section 4.
====
In the process of cleaning up the ID-Nits, we discovered that RFC3315,
RFC4242, and RFC3736 have
all been obsoleted by RFC8415, so we adjusted those references
appropriately,
====
After a discussion with David Lamparter in Prague, I removed text that
equivocates
about the functional equivalence of the forwarding behavior described
in this draft compared to that described in
draft-ietf-rtgwg-dst-src-routing.
====
We fixed a large number of spelling and grammatical errors pointed out by
Martin.
====
Thanks,
Chris

On Fri, Feb 22, 2019 at 10:37 AM <[email-masked]> wrote:

> Hi,
>
>
>
> I have been selected as the Routing Directorate reviewer for this draft.
> The Routing Directorate seeks
>
> to review all routing or routing-related drafts as they pass through IETF
> last call and IESG review,
>
> and sometimes on special request. The purpose of the review is to provide
> assistance to the Routing ADs.
>
> For more information about the Routing Directorate, please see
>
> http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
>
>
>
> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could
>
> consider them along with any other IETF Last Call comments that you
> receive, and strive to resolve them
>
> through discussion or by updating the draft.
>
>
>
> Document: draft-ietf-rtgwg-enterprise-pa-multihoming-07
>
> Reviewer: Nicolai Leymann
>
> Review Date: 19/02/19
>
> IETF LC End Date: date-if-known
>
> Intended Status: Informational
>
> Summary:
>
> This document is basically ready for publication, but has nits that should
> be considered prior to
>
> publication.
>
> Comments:
>
> The draft is in good shape and describes a real world problem. The problem
> description is clear
>
> as well as the solution to.
>
>
>
> As a general remark the interesting questions remains if typical
> enterprise networks will
>
> move to one of the solutions described in the draft of if they will stay
> with a more "classical"
>
> approach like IPv6 prefix translation (because it's more in line with
> their IPv4 scenario). I agree
>
> that any type of address translation causes problems but many enterprises
> are concerned about
>
> internal IP addresses exposed to the external world.
>
>
>
> Section 3:
>
>   There might be also some expectations regarding convergence times if one
> of the SER fails.
>
>   Some mechanisms (e.g. pure prefix translations) will have no
> relevance/impact on other
>
>   routers and hosts in the enterprise networks whereas with more complex
> mechanisms it might
>
>   take longer (e.g. to renumber or make sure that all systems are using
> the new source address).
>
>
>
> Major Issues:
>
> "No major issues found."
>
>
>
> Minor Issues:
>
> "No minor issues found."
>
>
>
> Nits:
>
> - I am always confused if BCPs are referenced but never explicitly listed
> with a related tag
>
>   in the list of references. But I guess that's a general problem :)
>
> - Document title and the introduction are IP version agnostic (reading the
> introduction it can be
>
>   assumed that the solution is valid for IPv4 and IPv6, but the document
> only addresses IPv6).
>
> - The need for connection re-establishment depends also on the protocol
> (TCP vs. QUIC).
>
>
>
> Regards
>
> Nic
>
>
>
>
>
>
>
>
> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg
>